program Zero ;
{ This example tests an image for zero pixels and replaces
  them all with 1's. It then calculates the reciprocal of
  the image. }

const
  Prompt = 'Select an image' ;

var
  Image ;

begin

{ check for images }
if GetNumImages = 0 then halt( 'This demo requires a desktop image' ) ;

{ select one of them }
SelectImage( Prompt,Image ) ;
if IsNull( Image ) then halt( 'No image was selected' ) ;

{ we require a fixed point image for simplicity }
if not IsFixed( Image ) then halt( 'The image is not fixed point' ) ;

{ replaces zeroes with ones }
if Any( Image = 0 ) then
  begin
  WriteInfo( 'Replacing zeroes with ones' ) ;
  Image := ( Image = 0 ) or Image ;
  end;

{ calculate reciprocal }
Image := 1.0 / Image ;
Update( Image ) ;

end.