program Excel ;
{ Demonstrates DDE control of Microsoft Excel }

var
  Ch ;
  x ;

begin
  { open conversation }
  Ch := DdeInitiate( 'Excel','Sheet1' ) ;
  if Ch = 0 then halt ;

  { absolute addressing }
  DdePoke( Ch,'R1C1','Data 1' ) ;
  DdePoke( Ch,'R2C1',1.234 ) ;
  DdePoke( Ch,'R1C2','Data 2' ) ;
  DdePoke( Ch,'R2C2',7.688 ) ;

  { send a variable value }
  x := Random ;
  DdePoke( Ch,'R1C3','Data 3' ) ;
  DdePoke( Ch,'R2C3',x ) ;

  { centre justify cells }
  DdeExecute( Ch,'[select("R1C1:R2C3")]' ) ;
  DdeExecute( Ch,'[alignment(3,false,3,0)]' ) ;

  { italicise titles }
  DdeExecute( Ch,'[select("R1C1:R1C3")]' ) ;
  DdeExecute( Ch,'[format.font(,,,true)]' ) ;

  { select a cell }
  DdeExecute( Ch,'[select("R5C2:R5C2")]' ) ;

  { write to current cell }
  DdePoke( Ch,'RC','123' ) ;

  { relative addressing }
  DdePoke( Ch,'R[1]C[-1]','456' ) ;

  { close conversation }
  DdeTerminate( Ch ) ;

end
